import { PayloadAction } from "@reduxjs/toolkit";
import { AppState } from "../appState";
export interface NerdAdvancedSearchState {
    selectedPresets: number[];
}
export declare const nerdAdvancedSearch: import("@reduxjs/toolkit").Slice<NerdAdvancedSearchState, {
    setSelectedPresets: (state: import("immer").WritableDraft<NerdAdvancedSearchState>, action: PayloadAction<number[]>) => import("immer").WritableDraft<NerdAdvancedSearchState>;
}, "nerdAdvancedSearch", "nerdAdvancedSearch", import("@reduxjs/toolkit").SliceSelectors<NerdAdvancedSearchState>>;
export declare const setSelectedPresets: import("@reduxjs/toolkit").ActionCreatorWithPayload<number[], "nerdAdvancedSearch/setSelectedPresets">;
export declare const nerdAdvancedSearchReducer: import("redux").Reducer<NerdAdvancedSearchState>;
export declare const nerdAdvancedSearchSelectedPresetsSelector: ((state: AppState) => number[]) & {
    clearCache: () => void;
    resultsCount: () => number;
    resetResultsCount: () => void;
} & {
    resultFunc: (resultFuncArgs_0: number[]) => number[];
    memoizedResultFunc: ((resultFuncArgs_0: number[]) => number[]) & {
        clearCache: () => void;
        resultsCount: () => number;
        resetResultsCount: () => void;
    };
    lastResult: () => number[];
    dependencies: [(state: AppState) => number[]];
    recomputations: () => number;
    resetRecomputations: () => void;
    dependencyRecomputations: () => number;
    resetDependencyRecomputations: () => void;
} & {
    memoize: typeof import("reselect").weakMapMemoize;
    argsMemoize: typeof import("reselect").weakMapMemoize;
};
