import { PayloadAction } from "@reduxjs/toolkit";
import { AppState } from "../appState";
export interface NerdHistoryState {
    open: boolean;
    openKey: string;
}
export declare const nerdHistory: import("@reduxjs/toolkit").Slice<NerdHistoryState, {
    setNerdHistoryOpen: (state: import("immer").WritableDraft<NerdHistoryState>, action: PayloadAction<boolean>) => import("immer").WritableDraft<NerdHistoryState>;
    setNerdHistoryOpenKey: (state: import("immer").WritableDraft<NerdHistoryState>, action: PayloadAction<string>) => import("immer").WritableDraft<NerdHistoryState>;
}, "nerdHistory", "nerdHistory", import("@reduxjs/toolkit").SliceSelectors<NerdHistoryState>>;
export declare const setNerdHistoryOpen: import("@reduxjs/toolkit").ActionCreatorWithPayload<boolean, "nerdHistory/setNerdHistoryOpen">, setNerdHistoryOpenKey: import("@reduxjs/toolkit").ActionCreatorWithPayload<string, "nerdHistory/setNerdHistoryOpenKey">;
export declare const nerdHistoryReducer: import("redux").Reducer<NerdHistoryState>;
export declare const nerdHistoryOpenSelector: ((state: AppState) => boolean) & {
    clearCache: () => void;
    resultsCount: () => number;
    resetResultsCount: () => void;
} & {
    resultFunc: (resultFuncArgs_0: boolean) => boolean;
    memoizedResultFunc: ((resultFuncArgs_0: boolean) => boolean) & {
        clearCache: () => void;
        resultsCount: () => number;
        resetResultsCount: () => void;
    };
    lastResult: () => boolean;
    dependencies: [(state: AppState) => boolean];
    recomputations: () => number;
    resetRecomputations: () => void;
    dependencyRecomputations: () => number;
    resetDependencyRecomputations: () => void;
} & {
    memoize: typeof import("reselect").weakMapMemoize;
    argsMemoize: typeof import("reselect").weakMapMemoize;
};
