import { PayloadAction } from "@reduxjs/toolkit";
import { NerdNotificationProps } from "../../nerdNotifier/typings";
import { AppState } from "../appState";
export interface NerdNotificationState {
    notification?: NerdNotificationProps;
}
export declare const notificationInitialState: NerdNotificationState;
export declare const notificationSlice: import("@reduxjs/toolkit").Slice<NerdNotificationState, {
    showNotification: (state: import("immer").WritableDraft<NerdNotificationState>, action: PayloadAction<NerdNotificationProps | undefined>) => import("immer").WritableDraft<NerdNotificationState>;
    clearNotification: (state: import("immer").WritableDraft<NerdNotificationState>) => import("immer").WritableDraft<NerdNotificationState>;
}, "notification", "notification", import("@reduxjs/toolkit").SliceSelectors<NerdNotificationState>>;
export declare const showNotification: import("@reduxjs/toolkit").ActionCreatorWithOptionalPayload<NerdNotificationProps | undefined, "notification/showNotification">, clearNotification: import("@reduxjs/toolkit").ActionCreatorWithoutPayload<"notification/clearNotification">;
export declare const notificationReducer: import("redux").Reducer<NerdNotificationState>;
export declare const nerdNotifierNotificationSelector: ((state: AppState) => NerdNotificationProps | undefined) & {
    clearCache: () => void;
    resultsCount: () => number;
    resetResultsCount: () => void;
} & {
    resultFunc: (resultFuncArgs_0: NerdNotificationProps | undefined) => NerdNotificationProps | undefined;
    memoizedResultFunc: ((resultFuncArgs_0: NerdNotificationProps | undefined) => NerdNotificationProps | undefined) & {
        clearCache: () => void;
        resultsCount: () => number;
        resetResultsCount: () => void;
    };
    lastResult: () => NerdNotificationProps | undefined;
    dependencies: [(state: AppState) => NerdNotificationProps | undefined];
    recomputations: () => number;
    resetRecomputations: () => void;
    dependencyRecomputations: () => number;
    resetDependencyRecomputations: () => void;
} & {
    memoize: typeof import("reselect").weakMapMemoize;
    argsMemoize: typeof import("reselect").weakMapMemoize;
};
