import { GridInitialState } from "@mui/x-data-grid-premium";
import { GridApiPremium } from "@mui/x-data-grid-premium/models/gridApiPremium";
import { DependencyList, MutableRefObject } from "react";
/**
 *
 * @param {MutableRefObject<GridApiPremium>} apiRef apiRef
 * @param {string} storageKey storageKey
 * @param {GridInitialState} defaultState defaultState
 * @param {DependencyList} deps deps
 * @returns {[number, () => void, () => void]} nerdUseSaveDataGridState
 */
export declare function useNerdSaveDataGridState(apiRef: MutableRefObject<GridApiPremium>, storageKey: string, defaultState?: GridInitialState, deps?: DependencyList): [number, () => void, () => void];
