import { ReactNode } from "react";
import { ButtonProps, DialogActionsProps, DialogContentProps, ModalProps, DialogTitleProps } from "@mui/joy";
export interface NerdConfirmOptions {
    title?: ReactNode | string;
    content?: ReactNode | string;
    cancelButtonText?: string;
    cancelButtonProps?: ButtonProps;
    confirmButtonText?: string;
    confirmButtonProps?: ButtonProps;
    modalProps?: Partial<ModalProps>;
    titleProps?: DialogTitleProps;
    contentProps?: DialogContentProps;
    actionsProps?: DialogActionsProps;
    onCancel?: () => void;
    onConfirm?: () => void;
    autoFocus?: boolean;
    actions?: ReactNode;
}
