import { PayloadAction } from "@reduxjs/toolkit";
import { AppState } from "../appState";
export interface NerdDraggableDialogState {
    order: string[];
}
export declare const nerdDraggableDialog: import("@reduxjs/toolkit").Slice<NerdDraggableDialogState, {
    pushNerdDraggableDialogOrder: (state: import("immer").WritableDraft<NerdDraggableDialogState>, action: PayloadAction<string>) => import("immer").WritableDraft<NerdDraggableDialogState>;
    popNerdDraggableDialogOrder: (state: import("immer").WritableDraft<NerdDraggableDialogState>, action: PayloadAction<string>) => import("immer").WritableDraft<NerdDraggableDialogState>;
}, "nerdDraggableDialog", "nerdDraggableDialog", import("@reduxjs/toolkit").SliceSelectors<NerdDraggableDialogState>>;
export declare const pushNerdDraggableDialogOrder: import("@reduxjs/toolkit").ActionCreatorWithPayload<string, "nerdDraggableDialog/pushNerdDraggableDialogOrder">, popNerdDraggableDialogOrder: import("@reduxjs/toolkit").ActionCreatorWithPayload<string, "nerdDraggableDialog/popNerdDraggableDialogOrder">;
export declare const nerdDraggableDialogReducer: import("redux").Reducer<NerdDraggableDialogState>;
export declare const nerdDraggableDialogIndexSelector: ((state: AppState, uuid: string) => number) & {
    clearCache: () => void;
    resultsCount: () => number;
    resetResultsCount: () => void;
} & {
    resultFunc: (resultFuncArgs_0: number) => number;
    memoizedResultFunc: ((resultFuncArgs_0: number) => number) & {
        clearCache: () => void;
        resultsCount: () => number;
        resetResultsCount: () => void;
    };
    lastResult: () => number;
    dependencies: [(state: AppState, uuid: string) => number];
    recomputations: () => number;
    resetRecomputations: () => void;
    dependencyRecomputations: () => number;
    resetDependencyRecomputations: () => void;
} & {
    memoize: typeof import("reselect").weakMapMemoize;
    argsMemoize: typeof import("reselect").weakMapMemoize;
};
